﻿import event.*;
import util.*;

/**
 * 列舉想要被Randomizer事件通知的物件，
 * 所必須實作的方法。
 */
interface util.RandomizerListener extends EventListener {
  /**
   * 每當隨機事件發生時被觸發（根據設定給 
   * Randomizer的odds和interval參數值來決定）。
   *
   * @param   e   一個RandomizerEvent實體
   */
  public function onRandomAction (e:RandomizerEvent):Void;
}